## ros-humble-openni2-camera 2.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(openni2_camera)

if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

find_package(ament_cmake REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(camera_info_manager REQUIRED)
find_package(image_transport REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_components REQUIRED)
find_package(rosidl_default_generators REQUIRED)

find_package(PkgConfig)
pkg_check_modules(PC_OPENNI2 libopenni2)
if (NOT PC_OPENNI2_FOUND)
  pkg_check_modules(PC_OPENNI2 REQUIRED openni2)
endif()

rosidl_generate_interfaces(${PROJECT_NAME}
  "srv/GetSerial.srv"
  DEPENDENCIES builtin_interfaces
)

include_directories(
  include
  ${PC_OPENNI2_INCLUDE_DIRS}
)

link_directories(${PC_OPENNI2_LIBRARY_DIRS})

add_library(openni2_wrapper SHARED
  src/openni2_convert.cpp
  src/openni2_device.cpp
  src/openni2_device_info.cpp
  src/openni2_timer_filter.cpp
  src/openni2_frame_listener.cpp
  src/openni2_device_manager.cpp
  src/openni2_exception.cpp
  src/openni2_video_mode.cpp
)
target_link_libraries(openni2_wrapper
  ${PC_OPENNI2_LIBRARIES}
)
ament_target_dependencies(openni2_wrapper
  builtin_interfaces
  camera_info_manager
  image_transport
  sensor_msgs
  rclcpp
  rclcpp_components
  rosidl_default_runtime
)

add_executable(test_wrapper test/test_wrapper.cpp)
target_link_libraries(test_wrapper openni2_wrapper)

add_library(openni2_camera_lib SHARED
  src/openni2_driver.cpp
)
target_link_libraries(openni2_camera_lib
  openni2_wrapper
)
ament_target_dependencies(openni2_camera_lib
  camera_info_manager
  image_transport
  sensor_msgs
  rclcpp
)
rosidl_get_typesupport_target(cpp_typesupport_target
  ${PROJECT_NAME} "rosidl_typesupport_cpp")
target_link_libraries(openni2_camera_lib "${cpp_typesupport_target}")

rclcpp_components_register_node(openni2_camera_lib
  PLUGIN "openni2_wrapper::OpenNI2Driver"
  EXECUTABLE openni2_camera_driver
)

add_executable(list_devices
   src/list_devices.cpp
)
target_link_libraries(list_devices
  openni2_wrapper
)

if (UNIX AND NOT APPLE)
  add_executable(usb_reset src/usb_reset.c)
  set(ADDITIONAL_EXECUTABLES "usb_reset")
endif()

install(
  TARGETS
    list_devices
    openni2_camera_lib
    openni2_wrapper
    ${ADDITIONAL_EXECUTABLES}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION lib/${PROJECT_NAME}
)

install(
  DIRECTORY include/
  DESTINATION include
)

install(
  DIRECTORY launch
  DESTINATION share/${PROJECT_NAME}/
)

ament_export_include_directories(include)
ament_export_libraries(openni2_wrapper)
ament_export_dependencies(
  camera_info_manager
  image_transport
  sensor_msgs
  rclcpp
)
ament_package()

=== debian/changelog ===
ros-humble-openni2-camera (2.0.2-1jammy) jammy; urgency=high

  * add depth_image_proc exec dep (#131 <https://github.com/ros-drivers/openni2_camera/issues/131>)
    Needed when starting the camera with point cloud processing.
  * Contributors: Mario Prats

 -- Michael Ferguson <mike@vanadiumlabs.com>  Wed, 26 Apr 2023 04:00:00 -0000

ros-humble-openni2-camera (2.0.1-1jammy) jammy; urgency=high

  * fix device time (#129 <https://github.com/ros-drivers/openni2_camera/issues/129>)
  * add build depend on pkg-config (#128 <https://github.com/ros-drivers/openni2_camera/issues/128>)
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mike@vanadiumlabs.com>  Thu, 02 Mar 2023 05:00:00 -0000

ros-humble-openni2-camera (2.0.0-1jammy) jammy; urgency=high

  * revive the test wrapper (#127 <https://github.com/ros-drivers/openni2_camera/issues/127>)
    resolves #123 <https://github.com/ros-drivers/openni2_camera/issues/123>
  * remove boost and unused files (#122 <https://github.com/ros-drivers/openni2_camera/issues/122>)
    * replace boost functionality by standard C++
    * remove ROS nodelet metadata
    * store parameter callback
    * remove ROS1 node
    * remove unused os import
    Co-authored-by: Christian Rauch <mailto:Rauch.Christian@gmx.de>
  * fix build, target only humble and later (#118 <https://github.com/ros-drivers/openni2_camera/issues/118>)
  * Capability: [CI] Add GitHub Action (#116 <https://github.com/ros-drivers/openni2_camera/issues/116>)
    * Capability: [CI] Add GitHub Action
    * Maintenance: Update maintaner contact
  * initial port to ROS2
  * Contributors: Isaac I.Y. Saito, Michael Ferguson

 -- Michael Ferguson <mike@vanadiumlabs.com>  Wed, 01 Mar 2023 05:00:00 -0000

ros-humble-openni2-camera (1.6.0-1jammy) jammy; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Tue, 12 Apr 2022 04:00:00 -0000

ros-humble-openni2-camera (1.5.1-1jammy) jammy; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Mon, 01 Feb 2021 05:00:00 -0000

ros-humble-openni2-camera (1.5.0-1jammy) jammy; urgency=high

  * [capability] Use serialnumber in camera names #101 <https://github.com/ros-drivers/openni2_camera/issues/101>
  * Release for Noetic #98 <https://github.com/ros-drivers/openni2_camera/issues/98>

 -- Michael Ferguson <mike@vanadiumlabs.com>  Tue, 12 Jan 2021 05:00:00 -0000

ros-humble-openni2-camera (1.4.2-1jammy) jammy; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Wed, 03 Jun 2020 04:00:00 -0000

ros-humble-openni2-camera (0.4.2-1jammy) jammy; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Sat, 01 Dec 2018 05:00:00 -0000

ros-humble-openni2-camera (0.4.1-1jammy) jammy; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Sat, 20 Oct 2018 04:00:00 -0000

ros-humble-openni2-camera (0.4.0-1jammy) jammy; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Tue, 17 Jul 2018 04:00:00 -0000

ros-humble-openni2-camera (0.3.0-1jammy) jammy; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Fri, 03 Nov 2017 04:00:00 -0000

ros-humble-openni2-camera (0.2.9-1jammy) jammy; urgency=high

  * [fix] Device re-connection #53 <https://github.com/ros-drivers/openni2_camera/issues/53>
  * [fix] Publish projector/camera_info (fixes disparity img) #48 <https://github.com/ros-drivers/openni2_camera/issues/48>
  * Contributors: Isaac I.Y. Saito, Martin Guenther, Shaun Edwards

 -- Michael Ferguson <mike@vanadiumlabs.com>  Wed, 25 Oct 2017 04:00:00 -0000

ros-humble-openni2-camera (0.2.8-1jammy) jammy; urgency=high

  * [capability] Add exposure time control #46 <https://github.com/ros-drivers/openni2_camera/issues/46>
  * [fix] device URI formatting #47 <https://github.com/ros-drivers/openni2_camera/issues/47>
  * Contributors: Martin Guenther, Michael Ferguson, Sergey Alexandrov

 -- Michael Ferguson <mike@vanadiumlabs.com>  Thu, 17 Aug 2017 04:00:00 -0000

ros-humble-openni2-camera (0.2.7-1jammy) jammy; urgency=high

  * Merge pull request #44 <https://github.com/ros-drivers/openni2_camera/issues/44> from jacquelinekay/fix_kinetic_build
    fix compile on kinetic
  * Contributors: Jackie Kay, Michael Ferguson

 -- Michael Ferguson <mike@vanadiumlabs.com>  Tue, 07 Jun 2016 04:00:00 -0000

ros-humble-openni2-camera (0.2.6-1jammy) jammy; urgency=high

  * [fix] Compile for OSX #30 <https://github.com/ros-drivers/openni2_camera/issues/30>
  * [fix] Crash on OSX and warning fixes.
  * Contributors: Hans Gaiser, Isaac I.Y. Saito, Michael Ferguson

 -- Michael Ferguson <mike@vanadiumlabs.com>  Thu, 05 May 2016 04:00:00 -0000

ros-humble-openni2-camera (0.2.5-1jammy) jammy; urgency=high

  * Merge pull request #34 <https://github.com/ros-drivers/openni2_camera/issues/34> from Intermodalics/feature/get_serial_service
    added get_serial service
  * Contributors: Michael Ferguson, Ruben Smits

 -- Michael Ferguson <mike@vanadiumlabs.com>  Thu, 15 Oct 2015 04:00:00 -0000

ros-humble-openni2-camera (0.2.4-1jammy) jammy; urgency=high

  * proper usage of device_id parameter in resolveDeviceURI, resolve unique parts of device URIs, too
  * print vendor id and product id as hex value (like in lsusb)
  * Contributors: Michael Ferguson, Stephan Wirth

 -- Michael Ferguson <mike@vanadiumlabs.com>  Mon, 06 Apr 2015 04:00:00 -0000

ros-humble-openni2-camera (0.2.3-1jammy) jammy; urgency=high

  * Explicitly ask for serial number when trying to resolve device URI instead of doing it once on device connected, fixes #24 <https://github.com/ros-drivers/openni2_camera/issues/24>
  * Contributors: Michael Ferguson, Stephan Wirth

 -- Michael Ferguson <mike@vanadiumlabs.com>  Fri, 16 Jan 2015 05:00:00 -0000

ros-humble-openni2-camera (0.2.2-1jammy) jammy; urgency=high

  * Add usb_reset
  * Contributors: Kei Okada, Michael Ferguson

 -- Michael Ferguson <mike@vanadiumlabs.com>  Mon, 06 Oct 2014 04:00:00 -0000

ros-humble-openni2-camera (0.2.1-1jammy) jammy; urgency=high



=== debian/control ===
Source: ros-humble-openni2-camera
Section: misc
Priority: optional
Maintainer: Michael Ferguson <mike@vanadiumlabs.com>
Build-Depends: debhelper (>= 9.0.0), libopenni2-dev, pkg-config, ros-humble-ament-cmake, ros-humble-builtin-interfaces, ros-humble-camera-info-manager, ros-humble-image-transport, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-rosidl-default-generators, ros-humble-sensor-msgs, ros-humble-ros-workspace, ros-humble-rosidl-typesupport-fastrtps-c, ros-humble-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-openni2-camera
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopenni2-dev, ros-humble-builtin-interfaces, ros-humble-camera-info-manager, ros-humble-depth-image-proc, ros-humble-image-transport, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-rosidl-default-runtime, ros-humble-sensor-msgs, ros-humble-ros-workspace
Description: Drivers for the Asus Xtion and Primesense Devices.
 For using a kinect with ROS, try the freenect stack

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-openni2-camera//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
